%define name ll-orasql
%define version 1.4.2
%define release 1

Summary: Utilities for working with cx_Oracle
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: Python
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Walter Dörwald <walter@livinglogic.de>
Url: http://www.livinglogic.de/Python/orasql/

%description
ll-orasql contains utilities for working with ``cx_Oracle``: It
allows calling Oracle procedures via keyword arguments, it wraps
the result of fetch calls in a custom dictionary and it contains
some utilitiy functions and scripts for accessing and copying
database metadata.

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
